Subject: Re: MultiXact\SLRU buffers configuration

From: Andrey Borodin <[email-masked]>
Date: Mon, 28 Jul 2025 22:23:24 +0500

Hi Thom!

> On 1 Nov 2024, at 00:25, Thom Brown <[email-masked]> wrote:
> 
> Unfortunately I didn't gather much information when it was occuring, and prioritised getting rid of the process blocking replay. I just attached gdb to it, got a backtrace and then "print ProcessInterrupts()".

FWIW we diagnosed that problem in the recent thread "IPC/MultixactCreation on the Standby server" [0].
Proposed fix is non-trivial. I'm trying to asses how many reports we had about this problem. Did you ever observe this problem again?

Thanks!

Best regards, Andrey Borodin.

[0] https://www.postgresql.org/message-id/[email-masked]